<p>title: Operator Perbandingan
description:</p>
<hr />
<p>Operator Perbandingan digunakan untuk membandingkan dua buah nilai numerik atau string, output dari operasi ini adalah nilai <code>TRUE</code> atau <code>FALSE</code>.</p>
<table>
<thead>
<tr>
<th>Operator</th>
<th>Nama</th>
<th>Contoh</th>
<th>Hasil</th>
</tr>
</thead>
<tbody>
<tr>
<td><code>==</code></td>
<td>Sama dengan</td>
<td><code>$x</code> <code>==</code> <code>$y</code></td>
<td>TRUE bila nilai <code>$x</code> sama dengan <code>$y</code>.</td>
</tr>
<tr>
<td><code>===</code></td>
<td>Identik</td>
<td><code>$x</code> <code>===</code> <code>$y</code></td>
<td>TRUE bila nilai <code>$x</code> sama dengan <code>$y</code>, DAN tipe data keduanya sama.</td>
</tr>
<tr>
<td><code>!=</code></td>
<td>Tidak sama dengan</td>
<td><code>$x</code> <code>!=</code> <code>$y</code></td>
<td>TRUE bila nilai <code>$x</code> tidak sama dengan <code>$y</code>.</td>
</tr>
<tr>
<td><code>&lt;&gt;</code></td>
<td>Tidak sama dengan</td>
<td><code>$x</code> <code>&lt;&gt;</code> <code>$y</code></td>
<td>TRUE bila nilai <code>$x</code> sama dengan <code>$y</code>, dan tipe data keduanya sama.</td>
</tr>
<tr>
<td><code>!==</code></td>
<td>Tidak identik</td>
<td><code>$x</code> <code>!==</code> <code>$y</code></td>
<td>TRUE bila nilai <code>$x</code> tidak sama dengan <code>$y</code>, dan tipe data keduanya berbeda.</td>
</tr>
<tr>
<td><code>&gt;</code></td>
<td>Lebih dari</td>
<td><code>$x</code> <code>&gt;</code> <code>$y</code></td>
<td>TRUE bila nilai <code>$x</code> lebih dari <code>$y</code></td>
</tr>
<tr>
<td><code>&lt;</code></td>
<td>Kurang dari</td>
<td><code>$x</code> <code>&lt;</code> <code>$y</code></td>
<td>TRUE bila nilai <code>$x</code> kurang dari <code>$y</code></td>
</tr>
<tr>
<td><code>&gt;=</code></td>
<td>Lebih dari atau sama dengan</td>
<td><code>$x</code> <code>&gt;=</code> <code>$y</code></td>
<td>TRUE bila nilai <code>$x</code> lebih dari atau sama dengan <code>$y</code></td>
</tr>
<tr>
<td><code>&lt;=</code></td>
<td>Kurang dari atau sama dengan</td>
<td><code>$x</code> <code>&lt;=</code> <code>$y</code></td>
<td>TRUE bila nilai <code>$x</code> kurang dari atau sama dengan <code>$y</code></td>
</tr>
</tbody>
</table>
<h2>Praktek</h2>
<ul>
<li>
<p>Gantilah operator pada kode di baris 5 dengan <code>&lt;</code>, <code>&gt;</code>, <code>&lt;=</code>, <code>&gt;=</code> dan <code>!=</code> lalu amati output masing-masing operasinya.</p>
</li>
<li>
<p>Ganti nilai <code>$x</code> dengan string <code>'20'</code> dan ganti operator pada kode di baris 5 dengan <code>==</code> dan <code>===</code> lalu amati outputnya. Apakah outputnya berbeda? Mengapa berbeda?</p>
</li>
<li>
<p>Ekplorasi lebih lanjut dengan mengganti nilai variabel <code>$x</code> dan <code>$y</code> dan juga operator yang digunakan dan bandingkan masing-masing outputnya.</p>
<iframe width="100%" height="400" frameborder="0" src="https://development.codepolitan.com/coding/editor/operator-perbandingan"></iframe>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>
</li>
</ul>